Retrieves all territories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9a0d0875-b89f-4ca2-82d8-238616827355",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "48350dba-c2fb-4ca4-aee4-9f125d013f2d",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "d459fb39-8e77-403c-9548-0c4aa1d9c4ca",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "b2fb27e5-0767-4640-89ef-d1493f9b3719",
    "db_currency_id": "4ed62f74-83dd-4e0d-9660-5417c36ef11d",
    "db_language_id": "5d6ea22c-93de-4626-9fa9-3f425e204cd8",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-29T17:09:43.1319714+00:00"
  },
  "modified_dateutc": "2026-07-29T17:09:43.1319714+00:00"
}